package jp.gihyo.mitoma.android.p011login;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class LoginAction {
    private Activity act;

    public LoginAction(Activity act){
        this.act = act;
    }
    public void exec(View view){
        // 対応表取得
        String[ ] pswArray = act.getResources( ).
                getStringArray(R.array.psw_array);
        // 画面データの取得
        EditText etId =act.findViewById(R.id.etId);
        EditText etPw =act.findViewById(R.id.etPw);
        String id = etId.getText().toString();
        String pw = etPw.getText().toString();
        // 照合準備
        TextView tvResult =act.findViewById(R.id.tvResult);
        String message = "会員IDが不正です";
        tvResult.setTextColor(Color.RED);
        // 照合
        for(String str:pswArray){
            String[] sepData = str.split(",");
            if(sepData[0].equals(id) ){
                // ID一致
                if (sepData[1].equals(pw)){
                    // パスワード一致
                    message = "ログインできました";
                    tvResult.setTextColor(Color.BLACK);
                    break;
                }
                message = "パスワードが不正です";
                break;
            }
        }
        // 結果を表示
        tvResult.setText(message);
    }
}

